Bug 478675 - PackageKit search returns error
PackageKit search returns error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 05:40 EST by arun
Modified: 2009-01-08 08:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 08:02:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description arun 2009-01-03 05:40:29 EST
Description of problem:

1) I selected Add/Remove Software from system-->Administration

2) Add/Remove window came

3) If I do any search or click anything in the package group window (Eg:Gnome Desktop) , the below error window is coming.

-------------------------------------------------------------------------------
An Internal system error has occurred
-------------------------------------------------------------------------------
A problem that we were not expecting has occurred
Please report this bug in your distribution bugtracker with the error description.
-------------------------------------------------------------------------------


Error is pasted below

###################
Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2280, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2277, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 600, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 562, in dispatch_command
    self.search_group(options, searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 438, in search_group
    self._check_init(lazy_cache=True)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1965, in _check_init
    self.yumbase.repos.doSetup()
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 178, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 31, in postreposetup_hook
    if commands[0] in ('upgrade', 'install', 'remove'):

######################


Version-Release number of selected component (if applicable):
gpk-application 0.3.12

How reproducible:
[This issue came after I did some security updates + some program installation.
It was working fine in the default FC10 cd install]

1) select Add/Remove Software from system-->Administration
2) Add/Remove window came
3) Do any search
 
Actual results:

An error window. error is pasted above.


Expected results:

The search results for the string entered
Comment 1 Richard Hughes 2009-01-08 08:02:36 EST
Please disable rpm-warm-cache, it's broken.

Note You need to log in before you can comment on or make changes to this bug.